Package org.apache.commons.compress.compressors.zstandard

# Class ZstdConstants

java.lang.Object
org.apache.commons.compress.compressors.zstandard.ZstdConstants

public class ZstdConstants extends Object
Zstd constants.

Since:
  1.28.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ZSTD_CHAINLOG_MAX`
  Maximum chain log value.
  `static final int`
  `ZSTD_CHAINLOG_MIN`
  Minimum chain log value.
  `static final int`
  `ZSTD_CLEVEL_DEFAULT`
  Default compression level.
  `static final int`
  `ZSTD_CLEVEL_MAX`
  Maximum compression level.
  `static final int`
  `ZSTD_CLEVEL_MIN`
  Minimum compression level.
  `static final int`
  `ZSTD_HASHLOG_MAX`
  Maximum hash log value.
  `static final int`
  `ZSTD_HASHLOG_MIN`
  Minimum hash log value.
  `static final int`
  `ZSTD_MINMATCH_MAX`
  `ZSTD_MINMATCH_MAX` = 7.
  `static final int`
  `ZSTD_MINMATCH_MIN`
  `ZSTD_MINMATCH_MAX` = 3.
  `static final int`
  `ZSTD_SEARCHLOG_MAX`
  Maximum search log value.
  `static final int`
  `ZSTD_SEARCHLOG_MIN`
  Minimum search log value.
  `static final int`
  `ZSTD_WINDOWLOG_LIMIT_DEFAULT`
  `ZSTD_WINDOWLOG_LIMIT_DEFAULT` = 27.
  `static final int`
  `ZSTD_WINDOWLOG_MAX`
  Maximum window log value.
  `static final int`
  `ZSTD_WINDOWLOG_MIN`
  Minimum window log value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZstdConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ZSTD_CHAINLOG_MAX

    public static final int ZSTD_CHAINLOG_MAX
    Maximum chain log value.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setLevel(int)`
      - zstd.h

  - ### ZSTD_CHAINLOG_MIN

    public static final int ZSTD_CHAINLOG_MIN
    Minimum chain log value.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setLevel(int)`
      - zstd.h

  - ### ZSTD_CLEVEL_DEFAULT

    public static final int ZSTD_CLEVEL_DEFAULT
    Default compression level.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setLevel(int)`
      - zstd.h

  - ### ZSTD_CLEVEL_MAX

    public static final int ZSTD_CLEVEL_MAX
    Maximum compression level.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setLevel(int)`
      - zstd.h

  - ### ZSTD_CLEVEL_MIN

    public static final int ZSTD_CLEVEL_MIN
    Minimum compression level.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setLevel(int)`
      - zstd.h

  - ### ZSTD_HASHLOG_MAX

    public static final int ZSTD_HASHLOG_MAX
    Maximum hash log value.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setHashLog(int)`
      - zstd.h

  - ### ZSTD_HASHLOG_MIN

    public static final int ZSTD_HASHLOG_MIN
    Minimum hash log value.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setHashLog(int)`
      - zstd.h

  - ### ZSTD_MINMATCH_MAX

    public static final int ZSTD_MINMATCH_MAX
    `ZSTD_MINMATCH_MAX` = 7. Only for ZSTD_fast, other strategies are limited to 6.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setMinMatch(int)`
      - zstd.h
      - Constant Field Values

  - ### ZSTD_MINMATCH_MIN

    public static final int ZSTD_MINMATCH_MIN
    `ZSTD_MINMATCH_MAX` = 3. Only for ZSTD_btopt+, faster strategies are limited to 4.
    See Also:
      - Constant Field Values

  - ### ZSTD_SEARCHLOG_MAX

    public static final int ZSTD_SEARCHLOG_MAX
    Maximum search log value.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setSearchLog(int)`
      - zstd.h

  - ### ZSTD_SEARCHLOG_MIN

    public static final int ZSTD_SEARCHLOG_MIN
    Minimum search log value.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setSearchLog(int)`
      - zstd.h

  - ### ZSTD_WINDOWLOG_LIMIT_DEFAULT

    public static final int ZSTD_WINDOWLOG_LIMIT_DEFAULT
    `ZSTD_WINDOWLOG_LIMIT_DEFAULT` = 27.

    By default, the streaming decoder will refuse any frame requiring larger than (in C) `(1 << ZSTD_WINDOWLOG_LIMIT_DEFAULT)` window size, to preserve host's memory from unreasonable requirements.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setMinMatch(int)`
      - zstd.h
      - Constant Field Values

  - ### ZSTD_WINDOWLOG_MAX

    public static final int ZSTD_WINDOWLOG_MAX
    Maximum window log value.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setWindowLog(int)`
      - zstd.h

  - ### ZSTD_WINDOWLOG_MIN

    public static final int ZSTD_WINDOWLOG_MIN
    Minimum window log value.

    This constant name matches the name in the C header file.

    See Also:
      - `ZstdCompressorOutputStream.Builder.setWindowLog(int)`
      - zstd.h

- ## Constructor Details

  - ### ZstdConstants

    public ZstdConstants()